
 # Example Fig7.1  
  rm(list=ls())

 ##### read data and summary
 CPI = read.csv("CPI.csv")
 Inflation=read.csv("Inflation.csv")
 
 postscript("Fig71.eps", width=4.4, height=4.8, horizontal=F,   pointsize=8)
 par(mfrow = c(2,1), mar=c(4,4,4,1)+0.1, cex=0.8)

 cpi = ts(log(CPI[,2]), frequency=12, start=c(1881, 1))

 plot.ts(cpi, col=4, lwd=2, ylab="CPI", xaxt="n", yaxt="n")
 labs = c(10,  30, 100, 250)
 axis(2, at=log(labs), labels=labs)
 labs = c(seq(1880, 2010, by=20), 2010)
 axis(1, at=labs, labels=labs)

 title("(a) Comsumer Price Index")

 inflation=ts(Inflation[,2], frequency=12, start=c(1881, 1))
 plot.ts(inflation, col=4, lwd=2)
 title("(b) Inflation Rate")
 abline(0,0)

 dev.off()
